package com.ruoyi.basicData.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.basicData.domain.FleetCarManage;

import java.util.List;
import java.util.Map;

/**
 * 【车辆】Service接口
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public interface IFleetCarManageService 
{
    /**
     * 查询【车辆】
     * 
     * @param id 【车辆】ID
     * @return 【车辆】
     */
    public FleetCarManage selectFleetCarManageById(Long id);

    public Map<String, Object> selectFleetCarManageByIdMap(Long id);

    /**
     * 查询【车辆】列表
     * 
     * @param fleetCarManage 【车辆】
     * @return 【车辆】集合
     */
    public List<FleetCarManage> selectFleetCarManageList(FleetCarManage fleetCarManage);

    public List<Map<String, Object>> selectFleetCarManageListMap(FleetCarManage fleetCarManage);

    /**
     * 新增【车辆】
     * 
     * @param fleetCarManage 【车辆】
     * @return 结果
     */
    public AjaxResult insertFleetCarManage(FleetCarManage fleetCarManage);
    public AjaxResult insertFleetCarManageAdd(String fleetCarManage,String fTmsorderbillsattachs);
    /**
     * 修改【车辆】
     * 
     * @param fleetCarManage 【车辆】
     * @return 结果
     */
    public int updateFleetCarManage(FleetCarManage fleetCarManage);

    /**
     * 批量删除【车辆】
     * 
     * @param ids 需要删除的【车辆】ID
     * @return 结果
     */
    public AjaxResult deleteFleetCarManageByIds(Long[] ids);

    /**
     * 删除【车辆】信息
     * 
     * @param id 【车辆】ID
     * @return 结果
     */
    public int deleteFleetCarManageById(Long id);

    /**
     *  下拉列表查询【车辆】列表id name
     * @param fleetCarManage    条件
     * @return  结果
     */
    List<FleetCarManage> selectFleetCarManageIdNameList(FleetCarManage fleetCarManage);
}
